<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
>
    <modelVersion>4.0.0</modelVersion>
    <groupId>com.tykj</groupId>
    <packaging>pom</packaging>
    <artifactId>equip</artifactId>
    <version>1.0-SNAPSHOT</version>
    <name>equip</name>
    <description>Demo project for Spring Boot</description>

    <parent>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-parent</artifactId>
        <version>2.1.4.RELEASE</version>
    </parent>

    <modules>
        <module>dev-socket</module>
        <module>dev-blockcha</module>
        <module>dev-config</module>
        <module>dev-misc</module>
        <module>dev-rfid</module>
        <module>dev-union</module>
        <module>dev-allot</module>
        <module>dev-apply</module>
        <module>dev-confirmcheck</module>
        <module>dev-destroy</module>
        <module>dev-file</module>
        <module>dev-finalcheck</module>
        <module>dev-library</module>
        <module>dev-matching</module>
        <module>dev-packing</module>
        <module>dev-repair</module>
        <module>dev-retired</module>
        <module>dev-scrap</module>
        <module>dev-selfcheck</module>
        <module>dev-sendback</module>
        <module>dev-storage</module>
        <module>dev-task</module>
        <module>dev-taskselect</module>
        <module>dev-train</module>
        <module>dev-user</module>
        <module>dev-usereport</module>
        <module>dev-statistical</module>
        <module>dev-es</module>
        <module>dev-loss</module>
        <module>dev-decommissioning</module>
        <module>dev-excel</module>
        <module>dev-policydocument</module>
        <module>dev-questionbank</module>
        <module>dev-zxing</module>
    </modules>

    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
        <java.version>1.8</java.version>
        <!--<checkstyle.config.location>check-style.xml</checkstyle.config.location>-->
    </properties>

    <dependencyManagement>
        <dependencies>

            <dependency>
                <groupId>cn.afterturn</groupId>
                <artifactId>easypoi-spring-boot-starter</artifactId>
                <version>3.3.0</version>
            </dependency>
            <dependency>
                <groupId>cn.afterturn</groupId>
                <artifactId>easypoi-base</artifactId>
                <version>3.3.0</version>
            </dependency>
            <dependency>
                <groupId>cn.afterturn</groupId>
                <artifactId>easypoi-web</artifactId>
                <version>3.3.0</version>
            </dependency>
            <dependency>
                <groupId>cn.afterturn</groupId>
                <artifactId>easypoi-annotation</artifactId>
                <version>3.3.0</version>
            </dependency>

            <dependency>
                <groupId>com.google.guava</groupId>
                <artifactId>guava</artifactId>
                <version>29.0-jre</version>
            </dependency>
            <dependency>
                <groupId>com.tykj.dev</groupId>
                <artifactId>union</artifactId>
                <version>1.0-SNAPSHOT</version>
            </dependency>
            <dependency>
                <groupId>com.tykj.dev</groupId>
                <artifactId>socket</artifactId>
                <version>1.0-SNAPSHOT</version>
            </dependency>
            <dependency>
                <groupId>com.tykj.dev</groupId>
                <artifactId>misc</artifactId>
                <version>1.0-SNAPSHOT</version>
            </dependency>
            <dependency>
                <groupId>com.tykj</groupId>
                <artifactId>dev-repair</artifactId>
                <version>1.0-SNAPSHOT</version>
            </dependency>
            <dependency>
                <groupId>com.tykj.dev</groupId>
                <artifactId>config</artifactId>
                <version>1.0-SNAPSHOT</version>
            </dependency>
            <dependency>
                <groupId>com.tykj.dev</groupId>
                <artifactId>rfid</artifactId>
                <version>1.0-SNAPSHOT</version>
            </dependency>
            <dependency>
                <groupId>com.tykj.dev</groupId>
                <artifactId>blockcha</artifactId>
                <version>1.0-SNAPSHOT</version>
            </dependency>


            <dependency>
                <groupId>com.tykj</groupId>
                <artifactId>dev-allot</artifactId>
                <version>1.0-SNAPSHOT</version>
            </dependency>
            <dependency>
                <groupId>com.tykj</groupId>
                <artifactId>dev-apply</artifactId>
                <version>1.0-SNAPSHOT</version>
            </dependency>
            <dependency>
                <groupId>com.tykj</groupId>
                <artifactId>dev-destroy</artifactId>
                <version>1.0-SNAPSHOT</version>
            </dependency>

            <dependency>
                <groupId>com.tykj</groupId>
                <artifactId>dev-confirmcheck</artifactId>
                <version>1.0-SNAPSHOT</version>
            </dependency>
            <dependency>
                <groupId>com.tykj</groupId>
                <artifactId>dev-file</artifactId>
                <version>1.0-SNAPSHOT</version>
            </dependency>
            <dependency>
                <groupId>com.tykj</groupId>
                <artifactId>dev-finalcheck</artifactId>
                <version>1.0-SNAPSHOT</version>
            </dependency>
            <dependency>
                <groupId>com.tykj</groupId>
                <artifactId>dev-loss</artifactId>
                <version>1.0-SNAPSHOT</version>
            </dependency>
            <dependency>
                <groupId>com.tykj</groupId>
                <artifactId>dev-library</artifactId>
                <version>1.0-SNAPSHOT</version>
            </dependency>

            <dependency>
                <groupId>com.tykj</groupId>
                <artifactId>dev-policydocument</artifactId>
                <version>1.0-SNAPSHOT</version>
            </dependency>
            <dependency>
                <groupId>com.tykj</groupId>
                <artifactId>dev-matching</artifactId>
                <version>1.0-SNAPSHOT</version>
            </dependency>
            <dependency>
                <groupId>com.tykj</groupId>
                <artifactId>dev-packing</artifactId>
                <version>1.0-SNAPSHOT</version>
            </dependency>
            <dependency>
                <groupId>com.tykj</groupId>
                <artifactId>dev-retired</artifactId>
                <version>1.0-SNAPSHOT</version>
            </dependency>
            <dependency>
                <groupId>com.tykj</groupId>
                <artifactId>dev-scrap</artifactId>
                <version>1.0-SNAPSHOT</version>
            </dependency>
            <dependency>
                <groupId>com.tykj</groupId>
                <artifactId>dev-selfcheck</artifactId>
                <version>1.0-SNAPSHOT</version>
            </dependency>
            <dependency>
                <groupId>com.tykj</groupId>
                <artifactId>dev-sendback</artifactId>
                <version>1.0-SNAPSHOT</version>
            </dependency>
            <dependency>
                <groupId>com.tykj</groupId>
                <artifactId>dev-storage</artifactId>
                <version>1.0-SNAPSHOT</version>
            </dependency>
            <dependency>
                <groupId>com.tykj</groupId>
                <artifactId>dev-task</artifactId>
                <version>1.0-SNAPSHOT</version>
            </dependency>
            <dependency>
                <groupId>com.tykj</groupId>
                <artifactId>dev-taskselect</artifactId>
                <version>1.0-SNAPSHOT</version>
            </dependency>
            <dependency>
                <groupId>com.tykj</groupId>
                <artifactId>dev-train</artifactId>
                <version>1.0-SNAPSHOT</version>
            </dependency>
            <dependency>
                <groupId>com.tykj</groupId>
                <artifactId>dev-user</artifactId>
                <version>1.0-SNAPSHOT</version>
            </dependency>

            <dependency>
                <groupId>com.tykj</groupId>
                <artifactId>dev-usereport</artifactId>
                <version>1.0-SNAPSHOT</version>
            </dependency>
            <dependency>
                <groupId>com.tykj</groupId>
                <artifactId>dev-decommissioning</artifactId>
                <version>1.0-SNAPSHOT</version>
            </dependency>
            <dependency>
                <groupId>com.tykj</groupId>
                <artifactId>dev-excel</artifactId>
                <version>1.0-SNAPSHOT</version>
            </dependency>
            <dependency>
                <groupId>com.tykj</groupId>
                <artifactId>dev-questionbank</artifactId>
                <version>1.0-SNAPSHOT</version>
            </dependency>

            <dependency>
                <groupId>com.tykj</groupId>
                <artifactId>dev-zxing</artifactId>
                <version>1.0-SNAPSHOT</version>
            </dependency>
        </dependencies>
    </dependencyManagement>

    <dependencies>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-data-jpa</artifactId>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-web</artifactId>
        </dependency>
        <dependency>
            <groupId>mysql</groupId>
            <artifactId>mysql-connector-java</artifactId>
            <scope>runtime</scope>
        </dependency>
        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
            <optional>true</optional>
        </dependency>
        <dependency>
            <groupId>com.github.wenhao</groupId>
            <artifactId>jpa-spec</artifactId>
            <version>3.1.1</version>
        </dependency>
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-test</artifactId>
            <scope>test</scope>
        </dependency>
        <!-- https://mvnrepository.com/artifact/org.springframework.boot/spring-boot-starter-test -->
        <dependency>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-starter-test</artifactId>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.junit.jupiter</groupId>
            <artifactId>junit-jupiter-api</artifactId>
            <scope>test</scope>
        </dependency>

    </dependencies>


    <build>
        <plugins>

            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>3.8.1</version>
                <configuration>
                    <source>1.8</source>
                    <target>1.8</target>
                    <encoding>UTF-8</encoding>
                </configuration>
            </plugin>

            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <configuration>
                    <classifier>exec</classifier>
                    <includeSystemScope>true</includeSystemScope>
                    <mainClass>com.tykj.dev.union.UnionApplication</mainClass>
                </configuration>

            </plugin>
        </plugins>
    </build>

</project>
